Package org.postgresql.plugin

# Enum AuthenticationRequestType

java.lang.Object
java.lang.Enum<AuthenticationRequestType>
org.postgresql.plugin.AuthenticationRequestType

All Implemented Interfaces:
  `Serializable`, `Comparable<AuthenticationRequestType>`, `java.lang.constant.Constable`

public enum AuthenticationRequestType extends Enum<AuthenticationRequestType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CLEARTEXT_PASSWORD`
`GSS`
`MD5_PASSWORD`
`SASL`

## Method Summary

Modifier and Type
Method
Description
`static AuthenticationRequestType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static AuthenticationRequestType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CLEARTEXT_PASSWORD

public static final AuthenticationRequestType CLEARTEXT_PASSWORD

### GSS

public static final AuthenticationRequestType GSS

### MD5_PASSWORD

public static final AuthenticationRequestType MD5_PASSWORD

### SASL

public static final AuthenticationRequestType SASL

## Method Details

### values

public static AuthenticationRequestType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static AuthenticationRequestType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null